<!DOCTYPE>
<html>
<head>
    <meta charset="UTF-8">
    <title>Lesson 2</title>
    <style>
        div{
            padding-bottom:10px;
        }
        .error {
            border: 1px solid #dd3333;
        }
    </style>
</head>
<body>
    <div>You clicked on form: <span id="counter">0</span></div>
    <form action="?q=ok" method="POST" name="my" id="form">
        <div>
            <label for="username">Username:</label>
            <input type="text" placeholder="User name" name="username" id="username" />
        </div>
        <div>
            <label for="password">Password:</label>
            <input type="password" placeholder="User password" name="password" id="password" />
        </div>
        <div>
            <label for="gender">Gender:</label>
            <select name="gender" id="gender">
                <option value="male">Male</option>
                <option value="female">Female</option>
            </select>
        </div>
        <div>
            <label>Subscribe status:</label>
            <label><input type="radio" value="true" name="subscribe">Yes</label>
            <label><input type="radio" value="false" name="subscribe">No</label>
        </div>
        <div>
            <label for="terms">Do you read Terms you agree with them?</label>
            <input type="checkbox" name="terms" value="yes" id="terms">
        </div>
        <div>
            <input type="submit" value="Send information" name="submitBtn">
        </div>
    </form>
    <script>
        // 1. Проверять все данные на заполненность, если какие-либо данные не заполнены выделить
        // красным (при нажатии на кнопку)
        // 1.1. Если юзернейм меньше 3 символов или больше 10, выделить красным (проверять налету)
        // 1.2. Если пароль короче восьми символов, выделить красным (проверять налету)
        // 1.3. При клике где-либо по форме кроме полей заполнения, увеличивать счетчик кликов на 1

    let form = document.getElementById("form");
    form.addEventListener("submit", function() {
        event.preventDefault();
        checkAllFields();
    });

    let username = document.getElementById("username");
    username.addEventListener("change", checkUsername);
    let password = document.getElementById("password");
    password.addEventListener("change", checkPassword);

    form.addEventListener("click", function() {
        if (event.target.tagName !== "INPUT") {
            let counter = document.getElementById("counter");
            let value = counter.innerText;
            counter.innerText = ++value;
        }
    });

    function checkAllFields() {
        let inputs = document.querySelectorAll("#form input");
        inputs.forEach(l => {
            l.classList.remove('error');

            if (l.value === '') {
                l.classList.add('error');
            }

            if (l.type === 'checkbox') {
                if (l.checked) {
                    l.parentNode.classList.remove('error');
                } else {
                    l.parentNode.classList.add('error');
                }
            }
        });

        let subscribe = document.getElementsByName("subscribe");
        let checkedAny = false;
        for (let i = 0; i < subscribe.length; i++) {
            if (subscribe[i].checked) {
                checkedAny = true;
                console.log(subscribe[i].value);
            }
        }

        if (checkedAny) {
            subscribe[0].parentNode.parentNode.classList.remove("error");
        } else {
            subscribe[0].parentNode.parentNode.classList.add("error");
        }

        checkUsername();
        checkPassword();
    }
    function checkUsername() {
        let username = document.getElementById("username");
        if (username.value.length < 3 || username.value.length > 10) {
            username.classList.add('error');
        } else {
            username.classList.remove('error');
        }
    }

    function checkPassword() {
        let password = document.getElementById("password");
        if (password.value.length < 8) {
            password.classList.add('error');
        } else {
            password.classList.remove('error');
        }
    }

</script>
</body>
</html>